Bug 32327 - Drop GConf when compiled against GTK+ 3
Summary: Drop GConf when compiled against GTK+ 3
Status: RESOLVED FIXED
Alias: None
Product: libcanberra
Classification: Unclassified
Component: Unspecified (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Lennart Poettering
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-11 17:13 UTC by Luca Ferretti
Modified: 2012-05-15 02:31 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
patch (1.64 KB, patch)
2012-05-05 12:16 UTC, Matthias Clasen
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Ferretti 2010-12-11 17:13:11 UTC
GConf is declared obsolete in GTK+/GNOME 3 enviroment.

Moreover it should be used in libcanberra to "interact" with gnome-setting-daemon, and g-s-d no longer uses GConf.
Comment 1 Javier Jardón 2012-04-27 07:45:09 UTC
Any progress on this?
Comment 2 Matthias Clasen 2012-05-05 12:16:34 UTC
Created attachment 61081 [details] [review]
patch

I don't think it makes sense to ship the gconf schemas at all, at this point. They were only for g-s-d, which has moved on to use the .desktop file since at least a year.
Comment 3 Lennart Poettering 2012-05-15 02:16:35 UTC
Fix applied to git. Update will follow shortly.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.